import 'dart:async';

import 'package:flutter/services.dart';

class Mrzflutterplugin {
  static const MethodChannel _channel = const MethodChannel('mrzflutterplugin');

  static Future<String> get startScanner async {
    final String scannerResult = await _channel.invokeMethod("startScanner");
    return scannerResult;
  }

  static void registerWithLicenceKey(String licenceKey) {
    _channel.invokeMethod("registerWithLicenceKey", licenceKey);
  }

  static void setPassportActive(bool active) {
    _channel.invokeMethod("setPassportActive", active);
  }

  static void setIDActive(bool active) {
    _channel.invokeMethod("setIDActive", active);
  }

  static void setVisaActive(bool active) {
    _channel.invokeMethod("setVisaActive", active);
  }

  static void setDateFormat(String dateFormat) {
    _channel.invokeMethod("setDateFormat", dateFormat);
  }

  static Future<String> get scanFromGallery async {
    final String scannerResult = await _channel.invokeMethod("scanFromGallery");
    return scannerResult;
  }

  static Future<String> get getSdkVersion async {
    final String sdkVersion = await _channel.invokeMethod("getSdkVersion");
    return sdkVersion;
  }

}
